package com.bcxin.tenant.open.domains.criterias;

import com.bcxin.tenant.open.infrastructures.criterias.CriteriaAbstract;
import lombok.Getter;

@Getter
public class MyRecentlyAttendanceCriteria extends CriteriaAbstract {
    private final String employeeId;
    private final int dateValue;

    public MyRecentlyAttendanceCriteria(int pageIndex, int pageSize, String employeeId, int dateValue) {
        super(pageIndex,pageSize);

        this.employeeId = employeeId;
        this.dateValue = dateValue;
    }

    public static MyRecentlyAttendanceCriteria create(int pageIndex,int pageSize,String employeeId, int dateValue) {
        return new MyRecentlyAttendanceCriteria(pageIndex,pageSize,employeeId, dateValue);
    }
}
